Subject: [Lsr] Rtgdir last call review of draft-ietf-lsr-yang-isis-reverse-metric-01

From: "Shah, Himanshu" <[email-masked]>
Date: Fri, 18 Dec 2020 16:23:43 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir<http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir>

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-lsr-yang-isis-reverse-metric-01.txt
Reviewer: Himanshu Shah

Review Date: 12/18/2020

IETF LC End Date: not known
Intended Status: Standards Track

Summary:

This document is basically ready for publication, but has nits that may be considered prior to publication.

Comments:

This is a small addendum to IS-IS yang data model for the reverse metric extension as described in RFC 8500.

It is well written and easy to understand.

Major Issues:

  *   No major issues found.

Minor Issues:

  *   No minor issues found.

Nits:

In section 2.2:

In description of W-bit –

It would read better if “If true then a DIS will process this reverse metric and add the metric value ..”

Instead of “If true then a DIS processing this reverse metric will add the metric value..”

Either is fine – just my opinion.

Comment somewhat related to this draft:

IMO, default setting for the “enable-receive” should have been “True”.

But the draft follows the recommendation of RFC 8500 which states to have this feature be kept “disabled” which in my view is wrong and counter to the argument it makes in Appendix B when favoring advertisement of reverse metric feature against same behavior by having operator adjust the link metric in neighboring router, as unwieldy. In future when support of reverse metric feature is commonplace, operator will still be required to explicitly enable receive processing  which is cumbersome. Instead, if default is enabled for receive processing of reverse metric, it will simplify the operations and use of this feature.

Again, while this comment is more applicable to RFC 8500, it is somewhat related to this draft (..which is following recommendation of the RFC..)

Thanks,
Himanshu